zabbix_export:
  version: '7.2'
  template_groups:
    - uuid: 7df96b18c230490a9a0a9e2307226338
      name: Templates
  templates:
    - uuid: 3f82b98fa7f54fa692c1b3a8d2fffdc0
      template: 'SNR-ERD-2 series NAG'
      name: 'SNR-ERD-2 series NAG'
      description: |
        Шаблон для устройств удалённого контроля и управления:
        SNR-ERD-2.3 с датчиком температуры на плате устройства;
        SNR-ERD-2.3-termo-out с вынесенным датчиком температуры;
        SNR-ERD-2.3-DHT22 с вынесенным датчиком влажности и температуры;
        SNR-ERD-2s с подключаемым датчиком температуры или температуры/влажности.
      groups:
        - name: Templates
      items:
        - uuid: 5810981bc169437289825ffca6d4cf48
          name: 'Состояние DI1'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.3.3.0
          key: erd2di1state
          delay: 5s
          description: |
            Вход DI1: подключение пользовательского датчика (сухой контакт).
            LOW (1) - на входе логический «0».
            HIGT (2) - на входе логическая «1».
          triggers:
            - uuid: de9d5799ae6b4574bce191dc247cf32b
              expression: 'in(last(/SNR-ERD-2 series NAG/erd2di1state),1)=0'
              name: 'Изменение состояния входа DI1'
              priority: WARNING
        - uuid: 624315ea684e4396b7ac4d9d1e7dc17b
          name: 'Состояние DI2'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.3.4.0
          key: erd2di2state
          delay: 5s
          description: |
            Вход DI2: подключение пользовательского датчика (сухой контакт).
            LOW (1) - на входе логический «0».
            HIGT (2) - на входе логическая «1».
          triggers:
            - uuid: 17bbbbcbccd44103bfe2738e092033ac
              expression: 'in(last(/SNR-ERD-2 series NAG/erd2di2state),1)=0'
              name: 'Изменение состояния входа DI2'
              priority: WARNING
        - uuid: c210778ec3e8465bb20000b0cb0fbcdc
          name: 'Состояние DI3'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.3.5.0
          key: erd2di3state
          delay: 5s
          description: |
            Вход DI3: подключение пользовательского датчика (сухой контакт).
            LOW (1) - на входе логический «0».
            HIGT (2) - на входе логическая «1».
          triggers:
            - uuid: 6796e66b6d094a5b9ff650d9a771b2fc
              expression: 'in(last(/SNR-ERD-2 series NAG/erd2di3state),1)=0'
              name: 'Изменение состояния входа DI3'
              priority: WARNING
        - uuid: f1d379a7fd4d4accbcd9db6e0a52d8ae
          name: 'Состояние DIA'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.3.1.0
          key: erd2diAstate
          delay: 5s
          description: |
            Вход DIA: подключение пользовательского датчика (сухой контакт).
            LOW (1) - на входе логический «0».
            HIGT (2) - на входе логическая «1».
          triggers:
            - uuid: 2eca10b51d58421f93984061ebab5c27
              expression: 'in(last(/SNR-ERD-2 series NAG/erd2diAstate),1)=0'
              name: 'Изменение состояния входа DIA'
              priority: WARNING
        - uuid: b7939b53fda440798ff455f9f792455f
          name: 'Состояние DO1'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.2.1.0
          key: erd2do1state
          description: |
            Выход DO1: Umax = 5 В, Imax = 300 мА, перезагрузка управляемых розеток.
            manLOW (0)
            manHIGT (1)
        - uuid: 77de1bcc832a4a9abb3bd620f181b12f
          name: 'Состояние DO2'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.2.3.0
          key: erd2do2state
          description: |
            Выход DO2: Umax = 5 В, Imax = 300 мА, переключение пользовательской нагрузки.
            manLOW (0)
            manHIGT (1)
        - uuid: 1017f48e28144fc1a166745cc8cbda50
          name: Влажность
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.4.4.0
          key: erd2humidity
          units: '%'
          description: 'Значение встроенного датчика влажности на устройстве.'
        - uuid: 877505eb79a74c66a4c9507f46278012
          name: 'Own IP'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.1.1.0
          key: erd2ipAddress
          value_type: CHAR
          description: 'IP адрес устройства.'
        - uuid: 4adc2a8c13dd49829cf47ab45b191636
          name: 'IP for Trap'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.1.4.0
          key: erd2ipForTrap
          value_type: CHAR
          description: 'IP-адрес для ловушки (trap).'
        - uuid: 1cf1d4602ee3435ba44c435479ca51e5
          name: 'Gateway Address'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.1.2.0
          key: erd2ipGatewayAddress
          value_type: CHAR
          description: 'Адрес шлюза устройства'
        - uuid: 447d83dc35ca4009bfeb4128de9b48c1
          name: 'Monitored Host IP'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.1.3.0
          key: erd2ipMonitoredHost
          value_type: CHAR
          description: 'Отслеживаемый IP-адрес устройством SNR-ERD-2 серии'
        - uuid: 0742115620a74bacaad5b001456dc7c6
          name: 'Мониторинг напряжения AC 220V'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.3.6.0
          key: erd2phaseSensorState
          delay: 5s
          description: |
            Дискретный вход, отображает наличие напряжения на входе MONITOR.
            LOW (1) - NO - на входе отсутствует напряжение. 
            HIGT (2) - YES - на входе есть напряжение.
          triggers:
            - uuid: 7676a4d5c8fc4d6b842a37b23c48d3d3
              expression: 'in(last(/SNR-ERD-2 series NAG/erd2phaseSensorState),2)=0'
              name: 'На входе Monitor отсутствует напряжение AC 220V'
              priority: WARNING
        - uuid: 3115482f03704495bff7fb524d216fb3
          name: Температура
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.4.1.0
          key: erd2temperature
          delay: 5s
          value_type: FLOAT
          units: °С
          description: 'Значение встроенного датчика температуры на устройстве.'
        - uuid: db5c65c912084ebca54b0c4b1efc00ee
          name: 'Установка параметра Critical temperature'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.4.6.0
          key: erd2temperatureCritical
          description: 'Установка критического уровня температуры для функций Termostat в режиме warming (обогрев) или cooling (охлаждение).'
        - uuid: c9505e956be74074a298f40f2e1a4ff3
          name: 'Установка параметра Normal temperature'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.4.5.0
          key: erd2temperatureNormal
          description: 'Установка нормального (требуемого) уровня температуры для функций Termostat в режиме warming (обогрев) или cooling (охлаждение).'
        - uuid: e65774b1f9b9422db5038950749e9993
          name: 'Уровень напряжения DC'
          type: SNMP_AGENT
          snmp_oid: .1.3.6.1.4.1.40418.2.2.4.2.0
          key: erd2voltage
          value_type: FLOAT
          units: V
          description: 'Вход AI: измерение напряжения от 0V до 76V DC.'
